gmyth-0.7.1-lp150.8.7.x86_64.rpm


Advertisement

Description

gmyth - GMyth Frontend Library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name gmyth
Package version 0.7.1
Package release lp150.8.7
Package architecture x86_64
Package type rpm
Installed size 54.71 KB
Download size 24.34 KB
Official Mirror ftp.gwdg.de
GMyth is a library to access MythTV backend services. It is designed to have few dependencies and is
written in ANSI C and GObject. The project also provides a library sample use with a Mythtv Frontend
UI for Linux based Mobile devices like Nokia 770.

Alternatives

Package Version Architecture Repository
gmyth - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
libcurl.so.4()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmyth.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgthread-2.0.so.0()(64bit) -
libpthread.so.0()(64bit) -

Provides

Name Value
gmyth = 0.7.1-lp150.8.7
gmyth(x86-64) = 0.7.1-lp150.8.7

Download

Type URL
Binary Package gmyth-0.7.1-lp150.8.7.x86_64.rpm
Source Package gmyth-0.7.1-lp150.8.7.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install gmyth rpm package:
    # zypper install gmyth

Files

Path
/usr/bin/gmyth-cat
/usr/bin/gmyth-ls
/usr/share/doc/packages/gmyth/COPYING
/usr/share/doc/packages/gmyth/ChangeLog
/usr/share/doc/packages/gmyth/README

Changelog

2015-07-12 - olaf@aepfle.de
- Use libmysqlclient-devel instead of mysql-devel because
13.1/13.2:Update does not provide it anymore
2012-06-23 - chris@computersalat.de
- add macros
* libname, libsoname
- fix dep
* provides gmyth-devel
2012-02-25 - dimstar@opensuse.org
- Add baselibs.conf
- Change BuildRequires from pkgconfig()-style to old-style:
+ pkkconfig(): glib-2.0, libxml-2.0, libcurl
+ old-style: glib2-devel, libxml2-devel, libcurl-devel
2012-02-25 - dimstar@opensuse.org
- Rename gmyth-devel to libgmyth-devel, as this is more closely
matching reality. Additionally, this improves compatibility with
what other 3rd party repos already used in BuildRequires.
2012-01-11 - reddwarf@opensuse.org
- Add autoconf, automake and libtool BuildRequires
- Add missing ldconfig post/postun
- Remove the %clean section
2011-10-27 - dimstar@opensuse.org
- Require mysql-devel from the -devel package. As mysql does not
have a .pc file, there is no automatic way to identify the
dependency; gmyth.pc references -lmysqlclient.
2011-10-17 - dimstar@opensuse.org
- Initial package, imported for OBS as a dependency to gstreamer.
- Patches added:
+ gmyth-includes.patch: curl/types.h does not exist
+ gmyth-samples-linking.patch: Fix build of samples with
- -as-needed.

See Also

Package Description
gstreamer-1.14.2-lp150.119.2.x86_64.rpm Streaming-Media Framework Runtime
gstreamer-devel-1.14.2-lp150.119.2.x86_64.rpm Include Files and Libraries mandatory for Development
gstreamer-doc-1.14.2-lp150.119.2.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-editing-services-1.14.2-lp150.54.1.x86_64.rpm GStreamer Editing Services
gstreamer-editing-services-devel-1.14.2-lp150.54.1.x86_64.rpm GStreamer Editing Services - Development files
gstreamer-lang-1.14.2-lp150.119.2.noarch.rpm Translations for package gstreamer
gstreamer-plugin-aravis-0.4.0-lp150.1.9.x86_64.rpm Gstreamer support for aravis
gstreamer-plugin-gnonlin-1.4.0-lp150.36.4.x86_64.rpm Non-linear audio and video support for GStreamer
gstreamer-plugin-python-1.14.2-lp150.48.1.x86_64.rpm GStreamer 1.0 plugin for python
gstreamer-plugins-bad-1.14.2-lp150.246.2.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-bad-chromaprint-1.14.2-lp150.246.2.x86_64.rpm Chromaprint plugin for GStreamer
gstreamer-plugins-bad-devel-1.14.2-lp150.246.2.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-bad-doc-1.14.2-lp150.246.2.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-bad-fluidsynth-1.14.2-lp150.246.2.x86_64.rpm Fluidsynth plugin for GStreamer
gstreamer-plugins-bad-lang-1.14.2-lp150.246.2.noarch.rpm Translations for package gstreamer-plugins-bad
Advertisement
Advertisement